questions

Enables you to scrape Questions from Amazon page using the ScrapeIN service

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

By making a GET request to the /questions endpoint of Amazon Customers Feedback API, ScrapeIN serves the purpose of retrieving customer questions and answers for a particular product on Amazon.

The /questions endpoint provides a reliable and efficient way to gather crucial customer insights to enhance your product offerings, improve customer experiences, and make data-driven business decisions.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

html, json, csv

🚧

Required Questions Parameters

You can specify the product using either the asin and amazon_domain parameters or the url parameter (which contains a link to an Amazon product page).

  • If you provide both the amazon_domain and asin parameters, the url parameter will be ignored.
  • If you provide the url parameter, the amazon_domain and asin parameters will be ignored.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

📘

Notes on Retrieving Amazon Questions

Amazon Customers Feedback API allows you to retrieve 10 questions per request, accompanied by the top answer for each question. To obtain all answers for a particular question, you need to specify the question_id parameter in questions_answers endpoint. For additional information, please refer to the question answers parameters.

Query Params
string
Defaults to B08WGFKSMW

The Amazon ASIN (product ID) is used for fetching questions for the specified product. Remember to provide both the asin and amazon_domain parameters. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string
enum
Defaults to amazon.com

The Amazon domain to retrieve retrieve Questions for the specified product. Check the Supported Amazon Domains for a complete list of domains supported. Please note that if you provide the asin and amazon_domain parameters, the url parameter will be ignored.

string

Specifies the URL to be scraped instead of using the asin parameter to perform a questions query. The url parameter must be URL-encoded. Please note that if you provide the url parameters, the asin and amazon_domain parameters will be ignored.

string
enum

Used to determine the order in which questions are returned. Valid values include: most_helpful: Returns the most helpful questions first; most_recent: Returns questions in date order, with the most recent first.

Allowed:
string

Used to determine the current page of questions query results to retrieve.

string

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.de, the default customer_location will be "Germany."

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json